"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var symbol_codes_1 = require("./../binary/symbol-codes");
var decode_text_1 = require("./../binary/decode-text");
function getTagAttributes(params) {
    var pos = params.pos, content = params.content, contentLength = params.contentLength;
    var attrs = {};
    var i = pos;
    var isAttrValue = false;
    var attrName = [];
    var attrValue = [];
    var valueQuotesCount = 0;
    for (; i < contentLength; i++) {
        var symbolCode = content[i];
        if (symbolCode === symbol_codes_1.equal) {
            isAttrValue = true;
        }
        else if (symbolCode === symbol_codes_1.doubleQuote) {
            valueQuotesCount++;
        }
        else {
            var isAttrsSeparator = symbolCode === symbol_codes_1.space;
            if (symbolCode === symbol_codes_1.closedAngleBracket || isAttrsSeparator) {
                if (attrName[0] !== undefined) {
                    attrs[decode_text_1.default(attrName)] = decode_text_1.default(attrValue);
                }
                if (isAttrsSeparator) {
                    isAttrValue = false;
                    attrName = [];
                    attrValue = [];
                    valueQuotesCount = 0;
                }
                else {
                    break;
                }
            }
            else if (isAttrValue) {
                if (!valueQuotesCount || valueQuotesCount % 2) {
                    attrValue.push(symbolCode);
                }
            }
            else if (symbolCode !== symbol_codes_1.slash) {
                attrName.push(symbolCode);
            }
        }
    }
    return {
        attrs: attrs,
        pos: i
    };
}
exports.default = getTagAttributes;
