"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var symbol_codes_1 = require("./../binary/symbol-codes");
var decode_text_1 = require("./../binary/decode-text");
function getTagTextContent(params) {
    var resultContent = [];
    var pos = params.pos, content = params.content, contentLength = params.contentLength;
    var resultContentLength = 0;
    var isOpened = false;
    var i = pos;
    for (; i < contentLength; i++) {
        var symbolCode = content[i];
        if (symbolCode === symbol_codes_1.openedAngleBracket) {
            break;
        }
        if (isOpened) {
            resultContent[resultContentLength] = symbolCode;
            resultContentLength++;
        }
        else if (symbolCode === symbol_codes_1.closedAngleBracket) {
            isOpened = true;
        }
    }
    return {
        content: decode_text_1.default(resultContent),
        pos: i
    };
}
exports.default = getTagTextContent;
